Imports IntraSell_DLL
Imports IntraSell_Net_Base

Public Class Einheiten
    Inherits AbstractForm

    Private Sub Einheiten_Load(sender As Object, e As System.EventArgs) Handles MyBase.Load
        Try
            'TODO: This line of code loads data into the 'DsArtikel._grartikel_einheiten' table. You can move, or remove it, as needed.
            Grartikel_einheitenTableAdapter.Fill(DsArtikel._grartikel_einheiten)
            ds = DsArtikel
            ParentBindingNavigator.BindingSource = Grartikel_einheitenBindingSource
        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub Form_Verlassen() Handles MyBase.Verlassen
        Me.Close()
    End Sub

    Private Sub Grartikel_einheitenBindingNavigatorSaveItem_Click(sender As Object, e As System.EventArgs) Handles MyBase.Save
        Try
            Validate()
            Grartikel_einheitenBindingSource.EndEdit()
            TableAdapterManager.UpdateAll(DsArtikel)

        Catch ex As Exception
            HandleAppError(ex)
        End Try
    End Sub

    Private Sub Grartikel_einheitenDataGridView_DataError(sender As Object, e As DataGridViewDataErrorEventArgs) Handles Grartikel_einheitenDataGridView.DataError

    End Sub
End Class